"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DBTTagRunner = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@vulcan-sql/core");
const inversify_1 = require("inversify");
const nunjucks = require("nunjucks");
let DBTTagRunner = class DBTTagRunner extends core_1.TagRunner {
    constructor() {
        super(...arguments);
        this.tags = ['dbt'];
    }
    run({ contentArgs }) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const sql = yield contentArgs[0]();
            return new nunjucks.runtime.SafeString(sql);
        });
    }
};
DBTTagRunner = tslib_1.__decorate([
    (0, inversify_1.injectable)()
], DBTTagRunner);
exports.DBTTagRunner = DBTTagRunner;
//# sourceMappingURL=dbtTagRunner.js.map